<template>
  <Page>
    <StackLayout backgroundColor="#f5f5f5">
      <Label :text="user" textWrap="true" />
      <Label text="hello" textWrap="true" />
      <TextField margin="20" padding="10" hint="Title" text="" />
      <TextField margin="20" padding="10" hint="Description" @tap="callConf" text="" />
      
      <Button text="Login with Facebook" @tap="login" />
      
    </StackLayout>
  </Page>
</template>

<script>

  import App from '@/components/App'
  import { mapState, mapGetters } from 'vuex'
  // TODO: import firebase library and setup facebook authentication
  
  export default {
    methods: {
      callConf() {
        confirm({title: 'confirm modal', message: 'whats your message'})
      },
      async login() {
        try {
          console.log('this.user :', this.user);

          if (!_.isEmpty(this.user)) {
            this.$navigateTo(App)
            return
          }
          await this.$store.dispatch('LOGIN_FACEBOOK')
          this.$navigateTo(App)
        } catch (error) {
          console.log('error :', error);
        }
        
      }
    },
    created() {
      console.log('page is :', 'login page');
      console.log('YOOOO THE USER IS HERE:', this.user);
      if (!_.isEmpty(this.user)) {
        setTimeout(() => {
          this.$navigateTo(App)
        }, 1);
        // this.$navigateTo(App)
        return
      }
    },
    data() {
      return {
      }
    },
    computed: {
      // ...mapState({user: state => state.user}),
      ...mapGetters({ user: "getUser" })
      
    },
    
  }
</script>

<style scoped>

</style>